@echo off

if /%1==/ goto nofile
goto usefile

:nofile
:: %0 is the batch file name, %~dp0 is the drive+path
java -jar "%~dp0f3kscore_v8.8.jar" "%~dp0"
goto end

:usefile
java -jar "%~dp0f3kscore_v8.8.jar" %1

:end
